import React from 'react';
import './assets/sass/app.css';
import Route from './router'
import 'bootstrap/dist/css/bootstrap.min.css';
import Constant from './library/Constant';

if (sessionStorage.getItem('reloaded') != null) {
  console.log('page was reloaded');
} else {
  localStorage.removeItem(Constant.TOKEN)
  window.location.reload();
}
sessionStorage.setItem('reloaded', 'yes');

function App() {
  return (
    <Route />
    // <div className="App">
    //   <header className="App-header">
    //     <img src={logo} className="App-logo" alt="logo" />
    //     <p>
    //       Edit <code>src/App.js</code> and save to reload.
    //     </p>
    //     <a
    //       className="App-link"
    //       href="https://reactjs.org"
    //       target="_blank"
    //       rel="noopener noreferrer"
    //     >
    //       Learn React
    //     </a>
    //   </header>
    // </div>
  );
}

export default App;
